
public class TestPQ
{
	public static void main( String args[] )
	{
		PriorityQueue pq = PQFactory.createPQ();
		pq.insert( 2, "Queen" );
		pq.insert( 10, "Pawn" );
		pq.insert( 1, "King" );
		System.out.println( "Queue has " + pq.size() + " elements" );
		System.out.println( pq.removeMin().getValue() );
		pq.insert( 10, "Another Pawn" );
		pq.insert( 3, "Left Rook" );
		pq.insert( 5, "Knight" );
		pq.insert( 4, "Bishop" );
		pq.insert( 3, "Right Rook" );
		while ( !pq.isEmpty() )
		{
			Entry temp = pq.removeMin();
			System.out.println( temp.getKey() + " -> " + temp.getValue() );
		}
	}
}